- name: Download Ionosphere dataset
  hosts:
    - localhost
  gather_facts: false
  tasks:
    - name: Wait for system to become reachable
      wait_for_connection:
        timeout: 300

    - name: Gather facts for first time
      setup:

    - name: Ubuntu
      when: ansible_distribution == 'Ubuntu'
      block:
        - name: Create folder
          file:
            path: /data/datasets/ionosphere
            state: directory

        - name: Download files
          get_url:
            url: https://archive.ics.uci.edu/ml/machine-learning-databases/ionosphere/{{ item }}
            dest: /data/datasets/ionosphere
            mode: 0777
          with_items:
            - ionosphere.data
            - ionosphere.names

        - name: Place link to source
          copy:
            content: "https://archive.ics.uci.edu/ml/datasets/Ionosphere"
            dest: /data/datasets/ionosphere/source

    - name: Windows
      when: ansible_os_family == 'Windows'
      block:
        - name: Create dataset folder
          win_file:
            path: C:\Datasets\Ionosphere
            state: directory

        - name: Download files
          win_get_url:
            url: https://archive.ics.uci.edu/ml/machine-learning-databases/ionosphere/{{ item }}
            dest: C:\Datasets\Ionosphere
          with_items:
            - ionosphere.data
            - ionosphere.names

        - name: Place link to source
          win_copy:
            content: "https://archive.ics.uci.edu/ml/datasets/Ionosphere"
            dest: C:\Datasets\Ionosphere\source.txt
